%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python}%{pyver} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-amara
Version:        1.1.7
Release:        2%{?dist}
Summary:        A collection of Pythonic tools for XML data binding

Group:          Development/Libraries
License:        ASL-derived
URL:            http://uche.ogbuji.net/uche.ogbuji.net/tech/4Suite/amara/
Source0:        http://uche.ogbuji.net/tech/4Suite/etc/Amara-%{version}.tar.bz2
Patch:          python-amara-1.1.7-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Needs python-4Suite-XML >= 1.0b2
BuildRequires:  python
BuildRequires:  python-4Suite-XML
Requires:       python-4Suite-XML
BuildArch:      noarch

%description
Amara is a collection of Pythonic tools for XML data binding. Not just tools
that happen to be written in Python, but tools built from the ground up to use
Python idioms and take advantage of the many advantages of Python over other
programming languages.

Amara builds on 4Suite, but whereas 4Suite focuses more on literal
implementation of XML standards in Python, Amara adds a much more Pythonic face
to these capabilities.

%prep
%setup -q -n Amara-%{version}
%patch -p 1 -b .version

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --prefix=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{python_sitelib}/amara
%{python_sitelib}/amara/*.py
%{python_sitelib}/amara/*.py[co]
%doc CHANGES COPYING demo manual.html README TODO

%changelog
* Mon Sep 11 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1.7-2
- Rebuild for FC6.

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.7-1
- Upstream update

* Wed Apr 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-1.b1
- Upstream update
- Fixed file ownership

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-7
- Added python to BuildRequires
- Removed versioning code for now

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-6
- Added disttag

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-6
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-5
- Macros in %%changelog are dangerous

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-4
- Streamlined/fixed Python version handling
- Implemented %%python_sitelib
- Decreased verbosity in %%description

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-3
- Better %%pyver and BR/Requires handling
- Broke %%description at 80 columns
- Fixed file ownership

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-1
- Bump release to 1

* Fri Feb  4 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.9.4-0.iva.0
- Upstream update

* Mon Jan 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.9.3-0.iva.0
- Upstream update

* Thu Jan 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.9.2-0.iva.0
- Initial RPM release.
